apiVersion: v1
kind: Pod
metadata:
  name: nginx
spec:
  containers:
    - image: nginx:alpine
      name: web-server
      volumeMounts:
        - mountPath: /etc/nginx/conf.d # mount content of the ConfigMap to container
          name: config
          readOnly: true
  volumes:
    - name: config # volume use ConfigMap as content
      configMap:
        name: nginx-config # ConfigMap name
